# Discounts

## Endpoints

### Delete a customer discount

- [DELETE /v1/customers/:id/discount](https://docs.stripe.com/api/discounts/delete.md)

### Delete a subscription discount

- [DELETE /v1/subscriptions/:id/discount](https://docs.stripe.com/api/discounts/subscription_delete.md)

## Events

- `customer.discount.created`
Occurs whenever a coupon is attached to a customer.

- `customer.discount.deleted`
Occurs whenever a coupon is removed from a customer.

- `customer.discount.updated`
Occurs whenever a customer is switched from one coupon to another.

A discount represents the actual application of a [coupon](https://docs.stripe.com/api/discounts.md#coupons) or [promotion code](https://docs.stripe.com/api/discounts.md#promotion_codes). It contains information about when the discount began, when it will end, and what it is applied to.

Related guide: [Applying discounts to subscriptions](https://docs.stripe.com/docs/billing/subscriptions/discounts.md)
